@echo off
REM ********************************************************************
REM *** Is_4DOS - Test if 4DOS is installed                          ***
REM Jouni Miettunen * jon@stekt.oulu.fi * Oulu * Finland * Europe * 1993
REM ********************************************************************
@CEnviD %0.bat %1
GOTO CENVI_EXIT

main(argc,argv)
{
   if ( argc != 1 )
      Instructions();
   else
      is_4dos();
} /*main*/

/* is_4dos ***************************************************************/
/* determine if 4DOS is the parent process *******************************/
/* this checks only, if 4DOS is installed, not if it's parent ************/
/*************************************************************************/
is_4dos()
{
   regs.ax = 0xd44d;
   regs.bx = 0;
   interrupt(0x2f,regs);
   if (regs.ax == 0xd44d) puts("4DOS not loaded");
   else {
      sprintf(version,regs.bh>9?"%d.%d":"%d.0%d",regs.bl,regs.bh);
      printf("4DOS %s loaded. ",version);
   }
} /* int is_4dos*/

Instructions()
{
   puts("");
   puts("is_4dos - Test if 4DOS is installed");
   puts("");
   puts("Usage: is_4dos");
}

:CENVI_EXIT
